<?php
namespace Claromentis\Core\Assets\Storage;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Filesystem\Exception\FileNotFoundException;






interface StorageInterface
{
    
    
    
    
    
    
    
    public function GetCacheFileUrl(string $file_path) : string;
    
    
    
    
    
    
    
    public function CacheFileExists(string $file_path) : bool;
    
    
    
    
    public function CreateCacheDirectory();
    
    
    
    
    
    
    
    public function StoreCacheFile(string $file_path, string $contents);
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCacheFileLocalPath(string $file_path) : string;
    
    
    
    
    
    
    
    public function GetCacheFileModifiedTime(string $file_path);
    
    
    
    
    
    
    
    
    public function TouchCacheFile(string $file_path);
}